Subject: Re: [netmod] YANG doctor review of draft-ietf-netmod-intf-ext-yang-04

From: Robert Wilton <[email-masked]>
Date: Wed, 5 Jul 2017 11:30:33 +0100

Hi Andy,

Thanks for this review, and sorry for the very slow reply.

I believe that I have addressed most of your comments in the updated 
draft-ietf-netmod-intf-ext-yang-05 version.

The only comment that I have not directly addressed relates to "identity 
ethSubInterface", and this is because I believe that may be a better way 
of solving this by defining generic interface property identities that 
are then inherited by the interface types identities defined in 
iana-if-types.yang.

I've written up how this approach could work in 
draft-wilton-netmod-interface-properties-00.  As always, comments welcome.

Thanks,
Rob

On 06/04/2017 18:43, Andy Bierman wrote:
>
> Overall:
>
> The document is well-written and almost ready for publication
>
> Comments:
>
> 1) No examples or guidance for "encaps-type"
>
> The document does not really define the standards value
> for this empty choice.  There are no examples showing its use.
> More work is needed for this part of the module.
>
> The following TODO needs to be resolved and the note removed
> from the document:
>
>            /*
>             * TODO - Should we introduce an abstract type to make this
>             *        extensible to new interface types, or vendor
>             *        specific interface types?
>             */
>
> 2) normative overlap
>
> The text and layout of sec. 3 is good.
> The issue is that the YANG module text copies from this section
> in some places (leafs) and references it in others (feature definitions)
>
> Some parts like "half-life" are more detailed in the leaf definition
> than the plain text in sec. 3
>
> Perhaps the leaf definitions can have reference-stmts added
> as needed, so it is clear that the YANG leaf is not the
> entire normative text.  The YANG descriptions are good,
> but maybe not complete wrt/ sec. 3 additional text.
>
>
> sec 3.7 typo:
>
> the existing the sub-interface
>                     ^^^  remove extra 'the'
>
> 3) identity ethSubInterface
>
> This identity is used in the encapsulation container when-stmt.
> It is not clear if this is intended as a base identity (like identity 
> sub-interface)
> An example for the encapsulation container would help clarify the
> expected usage
>
> This also has 2 bases (sub-interface and l2vlan).
> Some explanation in the identity-stmt would be helpful
> (since this is a new YANG 1.1 construct)
>
>
>
> Andy
>
>
>
> _______________________________________________
> netmod mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netmod